package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.EmailTypeRuleDO;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface EmailTypeRuleMapper {

    /**
     * 获取邮箱类型配置规则
     *
     * @return 邮箱类型配置规则
     */
    EmailTypeRuleDO getEmailTypeRule();

    void saveEmailType(EmailTypeRuleDO ruleDO);

    void updateEmailType(EmailTypeRuleDO ruleDO);

    EmailTypeRuleDO searchEmailType();
}
